Subject: bug#31773: ERROR: test_sigchain_fileobj (testing.unit.test_collections.CollectionTest)

From: Brendan Tildesley <[email-masked]>
Date: Sat, 21 Jul 2018 14:36:31 +1000

On 06/10/18 19:01, Christopher Baines wrote:
> Hey,
>
> The Guix package for duplicity is failing to build, and I was wondering
> if there is a fix already? I've had a look on Launchpad, but didn't spot
> anything.
>
> [...]
The problem is due to changes in GPG causing it to error on some of the 
very old files included in the tests. The fix is already upstream and
will be in the next release. Somebody can include a patch if they'd like
to get it working asap. I don't know how far away the next release is:
https://bazaar.launchpad.net/~duplicity-team/duplicity/0.7-series/revision/1358